> For the complete documentation index, see [llms.txt](https://docs.convexfinance.com/convexfinanceintegration/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convexfinance.com/convexfinanceintegration/cvx-and-cvxcrv-staking.md).

# CVX and cvxCRV Staking

cvxCRV is staked into a [BaseRewardPool](https://github.com/convex-eth/platform/blob/main/contracts/contracts/BaseRewardPool.sol), while CVX is staked into a [cvxRewardPool](https://github.com/convex-eth/platform/blob/main/contracts/contracts/cvxRewardPool.sol).  There are not many differences between the two types of contracts except for the CVX contract deposits rewarded CRV into the [CrvDepositor ](https://github.com/convex-eth/platform/blob/main/contracts/contracts/CrvDepositor.sol)and is exchanged to cvxCRV before being claimed.

The address of these contracts can be founds on the booster contract:

```
//cvx staking
var cvxStakingContract = await booster.stakerRewards()

//cvxCRV staking
var cvxCrvStakingContract = await booster.lockRewards()
```

### veCRV fees (crvUSD)

veCRV fees (crvUSD) are distributed to a child reward contract of the cvxCRV staking contract. You can find it in the extraRewards array there, or simply from the booster contract at `booster.lockFees()`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convexfinance.com/convexfinanceintegration/cvx-and-cvxcrv-staking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
